﻿using System;
using System.Collections.Generic;

namespace MyDLR
{
    /// <summary>
    /// Providers registered for DLR languages.
    /// </summary>
    public class Providers
    {
        /// <summary>
        /// List of current providers
        /// </summary>
        static internal List<IDLRProvider> languages = new List<IDLRProvider>();

        /// <summary>
        /// Add a new language to DLR.
        /// </summary>
        /// <param name="dle"></param>
        static public void Add(IDLRProvider dle)
        {
            languages.Add(dle);
        }
    }
}
