﻿using System;
using System.Reflection;

namespace MyDLR
{
    /// <summary>
    /// Utility class for MyDLR
    /// </summary>
    internal class Util
    {
        /// <summary>
        /// Filter on interface.
        /// </summary>
        private static bool CallableFilter(Type typeObj, Object criteriaObj)
        {
            if (typeObj.ToString() == criteriaObj.ToString())
                return true;
            else
                return false;
        }

        /// <summary>
        /// Test if a type is a DLR type.
        /// </summary>
        /// <param name="type">type</param>
        /// <returns>true or false</returns>
        public static bool IsDLRType(Type type)
        {
            Type[] res = type.FindInterfaces(CallableFilter, "MyDLR.ICallable");
            return res.Length > 0;
        }
    }
}
