﻿using MyJScript;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace MyDLRUnitTest
{    
    /// <summary>
    ///This is a test class for MJSNumberTest and is intended
    ///to contain all MJSNumberTest Unit Tests
    ///</summary>
    [TestClass()]
    public class MJSNumberTest
    {
        /// <summary>
        ///A test for MJSNumber Constructor
        ///</summary>
        [TestMethod()]
        public void MJSNumberConstructorTest()
        {
            MJSNumber i1 = new MJSNumber(0);
            Assert.AreEqual(0, i1.ValueOf());
            Assert.AreEqual("0", i1.ToString());

            MJSNumber i2 = new MJSNumber(150);
            Assert.AreEqual(150, i2.ValueOf());
            Assert.AreEqual("150", i2.ToString());

            i2.Set("value", new MJSNumber(15433));
            Assert.IsNull(i2.Get("value"));
            Assert.AreEqual("150", i2.ToString());
        }
    }
}
