#region LIOGO - GPL Copyright (c) 2005-2007 Lionel Lask
//
// This file is part of LIOGO.
//
// LIOGO is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// LIOGO is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Liogo; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//================================================================================
#endregion

using System;
using System.Text;

namespace LIOGO.Test
{
#if !TEST_VSNET
    /// <summary>
    /// Mock class for NUnit SetUp attribute
    /// </summary>
    public class SetUpAttribute : Attribute
    {
        /// <summary>
        /// Constructor, do nothing
        /// </summary>
        public SetUpAttribute()
        {
        }
    }

    /// <summary>
    /// Mock class for NUnit TearDown attribute
    /// </summary>
    public class TearDownAttribute : Attribute
    {
        /// <summary>
        /// Constructor, do nothing
        /// </summary>
        public TearDownAttribute()
        {
        }
    }

    /// <summary>
    /// Mock class for NUnit Test attribute
    /// </summary>
    public class TestAttribute : Attribute
    {
        /// <summary>
        /// Constructor, do nothing
        /// </summary>
        public TestAttribute()
        {
        }
    }

    /// <summary>
    /// Mock class for NUnit TestFixture attribute
    /// </summary>
    public class TestFixtureAttribute : Attribute
    {
        /// <summary>
        /// Constructor, do nothing
        /// </summary>
        public TestFixtureAttribute()
        {
        }
    }
#else
    /// <summary>
    /// Mock class for VS.NET 2005 TestInialize attribute
    /// </summary>
    public class TestClassAttribute : Attribute
    {
        /// <summary>
        /// Constructor, do nothing
        /// </summary>
        public TestClassAttribute()
        {
        }
    }

    /// <summary>
    /// Mock class for VS.NET 2005 TestInialize attribute
    /// </summary>
    public class TestCleanupAttribute : Attribute
    {
        /// <summary>
        /// Constructor, do nothing
        /// </summary>
        public TestCleanupAttribute()
        {
        }
    }

    /// <summary>
    /// Mock class for VS.NET 2005 TestInialize attribute
    /// </summary>
    public class TestInitializeAttribute : Attribute
    {
        /// <summary>
        /// Constructor, do nothing
        /// </summary>
        public TestInitializeAttribute()
        {
        }
    }

    /// <summary>
    /// Mock class for VS.NET 2005 TestMethod attribute
    /// </summary>
    public class TestMethodAttribute : Attribute
    {
        /// <summary>
        /// Constructor, do nothing
        /// </summary>
        public TestMethodAttribute()
        {
        }
    }
#endif
}
