﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MyJScript
{
    /// <summary>
    /// Class for current context.
    /// </summary>
    public class MJSContext
    {
        /// <summary>
        /// Singleton for global object
        /// </summary>
        static MJSObject @this = null;

        /// <summary>
        /// Get global context.
        /// </summary>
        /// <returns>context</returns>
        public static MJSObject GetContext()
        {
            if (@this == null)
                @this = new MJSObject();
            return @this;
        }
    }
}
