﻿using System;
using System.Text;

namespace MyJScript
{
    /// <summary>
    /// Class number for MyJScript.
    /// </summary>
    public class MJSNumber : MJSObject
    {
        /// <summary>
        /// Int value.
        /// </summary>
        int value;

        /// <summary>
        /// Constructor.
        /// </summary>
        /// <param name="value">int value</param>
        public MJSNumber(int value)
        {
            this.value = value;
            // TODO: Create primitive method on Number using Set(MJSFunction)
        }

        /// <summary>
        /// Get the value.
        /// </summary>
        /// <returns>value</returns>
        public override object ValueOf()
        {
            return value;
        }

        /// <summary>
        /// Set a member value.
        /// </summary>
        /// <param name="name">member name</param>
        /// <param name="value">new value</param>
        public override void Set(string name, MJSObject value)
        {
            // Do nothing here
        }

        /// <summary>
        /// Convert to string.
        /// </summary>
        /// <returns>value as string</returns>
        public override string ToString()
        {
            return value.ToString();
        }
    }
}

